﻿using Microsoft.Phone.Net.NetworkInformation;
using System.IO.IsolatedStorage;
using System.ServiceModel;

namespace ClientSGD
{
    class ConnexioServei
    {
        #region Crear nova connexio
        /*
         * Metode que retorna una nova connexio al servei web
         */
        public static ServeiWeb.ServeiClient connexioNova()
        {
            try
            {
                ServeiWeb.ServeiClient servei = new ServeiWeb.ServeiClient();
                string urlCompleta = IsolatedStorageSettings.ApplicationSettings["UrlCompletaServei"].ToString();
                servei.Endpoint.Address = new EndpointAddress(urlCompleta);
                return servei;
            }
            catch
            {
                throw;
            }
        }
        #endregion

        #region Verificar connexio a internet
        /*
         * Metode que verifica si hi ha connexio amb internet
         */
        public static bool verificarConnexioInternet()
        {
            if (NetworkInterface.GetIsNetworkAvailable())
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        #endregion
    }
}
