﻿using System.Windows;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;

namespace ClientSGD
{
    public partial class Notificacio : PhoneApplicationPage
    {
        private string notificacio;
        public static bool estat { get; set; }

        public Notificacio()
        {
            InitializeComponent();
        }

        #region Navegacio
        /*
         * Event que revisa des de on es s'arriba a la pagina
         */
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            notificacio = NavigationContext.QueryString["notificacio"];
            blockNotificacio.Text = notificacio;
            estat = false;
        }
        #endregion

        #region Acceptar notificacio
        /*
         * Event per tornar a la pagina anterior acceptant la notificacio
         */
        private void clickContinuar(object sender, RoutedEventArgs e)
        {
            estat = true;
            NavigationService.GoBack();
        }
        #endregion

        #region Tornar sense acceptar notificacio
        /*
         * Event per retorna a la pagina anterior sense acceptar la notificacio
         */
        private void clickCancelar(object sender, RoutedEventArgs e)
        {
            NavigationService.GoBack();
        }
        #endregion
    }
}