﻿using System;
using System.Windows.Forms;

namespace ClientSGDEscriptori
{
    public partial class Notificacio : Form
    {
        private string descripcio;

        public Notificacio(string descripcio)
        {
            InitializeComponent();
            this.descripcio = descripcio;
        }

        #region Inici formulari
        /*
         * Event inicial del formulari
         */
        private void NotificacioCarregat(object sender, EventArgs e)
        {
            labelDescripcio.Text = descripcio;
        }
        #endregion

        #region Acceptar notificacio
        /*
         * Event per acceptar la notificacio
         */
        private void clickContinuar(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }
        #endregion

        #region Tornar
        /*
         * Event per tornar al formulari anterior sense acceptar la notificacio
         */
        private void clickCancelar(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
        #endregion
    }
}
