﻿using System;
using System.Windows.Forms;

namespace ClientSGDEscriptori.ValidacioDespeses
{
    public partial class ComentariDenegarFull : Form
    {
        public string comentari { get; set; }

        public ComentariDenegarFull()
        {
            InitializeComponent();
        }

        #region Afegir comentari a full rebutjat
        /*
         * Event per afegir un comentari quan es nega el pagament d'un full de despeses
         */
        private void clickAcceptar(object sender, EventArgs e)
        {
            if (textComentari.Text.Length > 0)
            {
                comentari = textComentari.Text;
                DialogResult = DialogResult.OK;
            }
        }
        #endregion

        #region Tornar
        /*
         * Event que retorna al formulari anterior si no s'afegeix un comentari al denegar el full de despeses
         */
        private void clickCancelar(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
        #endregion
    }
}
